<?php
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.0
 * 
 * CMSMasters Donations Colors Rules
 * Created by CMSMasters
 * 
 */


function ecologie_donations_colors($custom_css) {
	$cmsmasters_option = ecologie_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} CMSMasters Donations Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	{$rule}.opened-article > .campaign .campaign_meta_wrap .cmsmasters_campaign_target_title,
	{$rule}.opened-article > .campaign .campaign_meta_wrap .cmsmasters_campaign_donations_count_title,
	{$rule}.opened-article > .campaign .campaign_meta_wrap .cmsmasters_stat_subtitle,
	{$rule}.opened-article > .campaign .cmsmasters_campaign_cont_info > span a,
	{$rule}.donations.opened-article > .donation .cmsmasters_donation_campaign a,
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_campaign a,
	{$rule}.cmsmasters_donations_color {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_color']) . "
	}
	
	{$rule}.cmsmasters_campaigns .campaign .cmsmasters_img_wrap .img_placeholder,
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_cont_wrap .img_placeholder {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}.cmsmasters_donations_link {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}#submit-donation-form input[type='checkbox'] + .field_before:after, 
	{$rule}#submit-donation-form input[type='radio'] + .field_before:after {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */
	
	
	/* Start Highlight Color */
	{$rule}.opened-article > .campaign .campaign_meta_wrap .cmsmasters_campaign_target_number,
	{$rule}.opened-article > .campaign .cmsmasters_campaign_cont_info > span a:hover,
	{$rule}.donations.opened-article > .donation .cmsmasters_donation_campaign a:hover,
	{$rule}.cmsmasters_campaigns .campaign .cmsmasters_stat_title,
	{$rule}.cmsmasters_campaigns .cmsmasters_owl_slider .owl-buttons > div:hover,
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_campaign a:hover,
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_footer .cmsmasters_donation_amount_title,
	{$rule}#page .cmsmasters_featured_campaign .campaign .cmsmasters_campaign_donated_percent .cmsmasters_stat_title,
	{$rule}.cmsmasters_donations_hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Highlight Color */
	
	
	/* Start Headings Color */
	{$rule}.cmsmasters_campaign_donated .cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat_title_wrap,
	{$rule}.donations.opened-article > .donation .cmsmasters_donation_amount_currency,
	{$rule}.page #submit-donation-form .cmsmasters_donation_field > label,
	{$rule}.page #submit-donation-form .cmsmasters_donator_fields .cmsmasters_donator_field label,
	{$rule}.cmsmasters_campaigns .campaign .cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat_title_wrap .cmsmasters_stat_counter,
	{$rule}.cmsmasters_campaigns .campaign .cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat_title_wrap .cmsmasters_stat_units,
	{$rule}.cmsmasters_campaigns .cmsmasters_owl_slider .owl-buttons > div,
	{$rule}.cmsmasters_single_slider_campaign .cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat_title_wrap,
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_footer,
	{$rule}.cmsmasters_donations_heading {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . "
	}
	
	{$rule}.cmsmasters_campaigns .campaign .cmsmasters_img_wrap .preloader:after,
	{$rule}.cmsmasters_donations .donation .cmsmasters_img_rollover .cmsmasters_open_post_link:after,
	{$rule}.cmsmasters_featured_campaign .campaign .cmsmasters_campaign_wrap_img .cmsmasters_img_rollover .cmsmasters_open_post_link:after {
		background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . ", 0.85);
	}
	/* Finish Headings Color */
	
	
	/* Start Main Background Color */
	{$rule}.cmsmasters_campaigns .campaign .cmsmasters_img_wrap .preloader,
	{$rule}.cmsmasters_donations_bg {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.page #submit-donation-form .cmsmasters_donation_fields .cmsmasters_donation_form_title,
	{$rule}.cmsmasters_campaigns .campaign .cmsmasters_campaign_inner,
	{$rule}.cmsmasters_featured_campaign .campaign,
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_cont_wrap, 
	{$rule}#submit-donation-form input[type='checkbox'] + .field_before:before, 
	{$rule}#submit-donation-form input[type='radio'] + .field_before:before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	
	/* Start Alternate Background Color */
	{$rule}.cmsmasters_donations_alternate {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_alternate']) . "
	}
	/* Finish Alternate Background Color */
	
	
	/* Start Borders Color */
	{$rule}.cmsmasters_donations_border {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.page #submit-donation-form .cmsmasters_donation_fields:before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.donations.opened-article > .donation .cmsmasters_donation_details_item, 
	{$rule}.donations.opened-article > .donation .cmsmasters_donation_info, 
	{$rule}#submit-donation-form input[type='checkbox'] + .field_before:before, 
	{$rule}#submit-donation-form input[type='radio'] + .field_before:before, 
	{$rule}.opened-article > .campaign .campaign_meta_wrap > div, 
	{$rule}.opened-article > .campaign .campaign_meta_wrap, 
	{$rule}.cmsmasters_donations .donation .img_placeholder, 
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_footer, 
	{$rule}.cmsmasters_donations .donation .cmsmasters_donation_cont_wrap_bottom {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	/* Finish Borders Color */
	
	
	/* Start Header Top Primary Color */
	.header_top_donation_but_wrap .header_top_donation_but {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_header_top_bg']) . "
	}
	
	.header_top_donation_but_wrap .header_top_donation_but:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_header_top_bg']) . "
	}
	/* Finish Header Top Primary Color */
	
	
	/* Start Header Top Rollover Color */
	.header_top_donation_but_wrap .header_top_donation_but:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_header_top_hover']) . "
	}
	
	.header_top_donation_but_wrap .header_top_donation_but {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_header_top_hover']) . "
	}
	
	.header_top_donation_but_wrap .header_top_donation_but,
	.header_top_donation_but_wrap .header_top_donation_but:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_header_top_hover']) . "
	}
	/* Finish Header Top Rollover Color */
	
	
	/* Start Header Middle Primary Color */
	.header_donation_but > a.cmsmasters_button:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_header_mid_link']) . "
	}
	/* Finish Header Middle Primary Color */
	
	
	/* Start Header Middle Rollover Color */
	.header_donation_but > a.cmsmasters_button {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_header_mid_hover']) . "
	}
	/* Finish Header Middle Rollover Color */
	
	
	/* Start Header Middle Background Color */
	.header_donation_but > a.cmsmasters_button,
	.header_donation_but > a.cmsmasters_button:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_header_mid_bg']) . "
	}
	/* Finish Header Middle Rollover Color */

/***************** Finish {$title} CMSMasters Donations Color Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('ecologie_theme_colors_secondary_filter', 'ecologie_donations_colors');

