<?php
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.0
 * 
 * CMSMasters Donations Fonts Rules
 * Created by CMSMasters
 * 
 */


function ecologie_donations_fonts($custom_css) {
	$cmsmasters_option = ecologie_get_global_options();
	
	
	$custom_css .= "
/***************** Start CMSMasters Donations Font Styles ******************/

	/* Start Content Font */
	.opened-article > .campaign .campaign_meta_wrap .cmsmasters_campaign_target_title,
	.opened-article > .campaign .campaign_meta_wrap .cmsmasters_campaign_donations_count_title,
	.opened-article > .campaign .campaign_meta_wrap .cmsmasters_stat_subtitle,
	.cmsmasters_single_slider_campaign .cmsmasters_stats .cmsmasters_stat_wrap .cmsmasters_stat_title_wrap * {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_content_font_google_font']) . $cmsmasters_option['ecologie' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_content_font_font_style'] . ";
	}
	
	.opened-article > .campaign .campaign_meta_wrap .cmsmasters_stat_subtitle {
		text-transform:none;
	}
	/* Finish Content Font */
	
	
	/* Start Link Font */
	/* Finish Link Font */
	
	
	/* Start Navigation Title Font */
	/* Finish Navigation Title Font */
	
	
	/* Start H1 Font */
	/* Finish H1 Font */
	
	
	/* Start H2 Font */
	.donations.opened-article > .donation .cmsmasters_donation_amount_currency {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h2_font_google_font']) . $cmsmasters_option['ecologie' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h2_font_text_decoration'] . ";
	}
	/* Finish H2 Font */
	
	
	/* Start H3 Font */	
	.donations.opened-article > .donation .cmsmasters_donation_title,
	.donations.opened-article > .donation .cmsmasters_donation_details > h2,
	.page #submit-donation-form .cmsmasters_donation_fields .cmsmasters_donation_form_title,
	.cmsmasters_donator_fields .cmsmasters_donation_form_title,
	.donation_confirm .donation_confirm_title  {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h3_font_google_font']) . $cmsmasters_option['ecologie' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h3_font_text_decoration'] . ";
	}
	
	@media only screen and (max-width: 540px) {
		.donations.opened-article > .donation .cmsmasters_donation_amount_currency {
			font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h3_font_google_font']) . $cmsmasters_option['ecologie' . '_h3_font_system_font'] . ";
			font-size:" . $cmsmasters_option['ecologie' . '_h3_font_font_size'] . "px;
			line-height:" . $cmsmasters_option['ecologie' . '_h3_font_line_height'] . "px;
			font-weight:" . $cmsmasters_option['ecologie' . '_h3_font_font_weight'] . ";
			font-style:" . $cmsmasters_option['ecologie' . '_h3_font_font_style'] . ";
			text-transform:" . $cmsmasters_option['ecologie' . '_h3_font_text_transform'] . ";
			text-decoration:" . $cmsmasters_option['ecologie' . '_h3_font_text_decoration'] . ";
		}
	}
	/* Finish H3 Font */
	
	
	/* Start H4 Font */
	.cmsmasters_donation_field > label {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h4_font_google_font']) . $cmsmasters_option['ecologie' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h4_font_text_decoration'] . ";
	}
	
	@media only screen and (max-width: 540px) {
		.donations.opened-article > .donation .cmsmasters_donation_title {
			font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h4_font_google_font']) . $cmsmasters_option['ecologie' . '_h4_font_system_font'] . ";
			font-size:" . $cmsmasters_option['ecologie' . '_h4_font_font_size'] . "px;
			line-height:" . $cmsmasters_option['ecologie' . '_h4_font_line_height'] . "px;
			font-weight:" . $cmsmasters_option['ecologie' . '_h4_font_font_weight'] . ";
			font-style:" . $cmsmasters_option['ecologie' . '_h4_font_font_style'] . ";
			text-transform:" . $cmsmasters_option['ecologie' . '_h4_font_text_transform'] . ";
			text-decoration:" . $cmsmasters_option['ecologie' . '_h4_font_text_decoration'] . ";
		}
	}
	/* Finish H4 Font */
	
	
	/* Start H5 Font */
	.opened-article > .campaign .campaign_meta_wrap .cmsmasters_stat_title_wrap *,
	.cmsmasters_campaigns .campaign .cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat_title_wrap,
	.cmsmasters_donations .donation .cmsmasters_donation_footer,
	.cmsmasters_featured_campaign .campaign .cmsmasters_campaign_rest_amount,
	#page .cmsmasters_featured_campaign .cmsmasters_campaign_donated_percent .cmsmasters_stat_title {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h5_font_google_font']) . $cmsmasters_option['ecologie' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h5_font_text_decoration'] . ";
		letter-spacing:.1em;
	}
	/* Finish H5 Font */
	
	
	/* Start H6 Font */
	.donations.opened-article > .donation .cmsmasters_donation_campaign,
	.donations.opened-article > .donation .cmsmasters_donation_campaign a,
	.donations.opened-article > .donation .cmsmasters_donation_details_item_title,
	.donations.opened-article > .donation .cmsmasters_donation_details_item_title a,
	.page #submit-donation-form .cmsmasters_donator_fields .cmsmasters_donator_field label,
	.cmsmasters_single_slider_campaign .cmsmasters_stat_subtitle,
	.cmsmasters_donations .donation .cmsmasters_donation_campaign a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h6_font_google_font']) . $cmsmasters_option['ecologie' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h6_font_text_decoration'] . ";
	}
	
	.donations.opened-article > .donation .cmsmasters_donation_details_item_value,
	.donations.opened-article > .donation .cmsmasters_donation_details_item_value a {
		line-height:" . $cmsmasters_option['ecologie' . '_h6_font_line_height'] . "px;
	}
	/* Finish H6 Font */
	
	
	/* Start Button Font */
	@media only screen and (max-width: 540px) {
		.header_donation_but_wrap .header_donation_but .cmsmasters_button {
			font-size:" . ((int) $cmsmasters_option['ecologie' . '_button_font_font_size'] - 2) . "px;
			line-height:" . ((int) $cmsmasters_option['ecologie' . '_button_font_line_height'] - 2) . "px;
		}
	}
	/* Finish Button Font */
	
	
	/* Start Small Text Font */
	/* Finish Small Text Font */

/***************** Finish CMSMasters Donations Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('ecologie_theme_fonts_filter', 'ecologie_donations_fonts');

