<?php
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.1
 * 
 * Theme Fonts Rules
 * Created by CMSMasters
 * 
 */


function ecologie_theme_fonts() {
	$cmsmasters_option = ecologie_get_global_options();
	
	
	$custom_css = "/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.0
 * 
 * Theme Fonts Rules
 * Created by CMSMasters
 * 
 */


/***************** Start Theme Font Styles ******************/

	/* Start Content Font */
	body,
	.cmsmasters_slider_project .cmsmasters_slider_project_cont_info,
	#wp-calendar thead td,
	#wp-calendar thead th {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_content_font_google_font']) . $cmsmasters_option['ecologie' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_content_font_font_style'] . ";
	}
	
	#wp-calendar thead td,
	#wp-calendar thead th,
	.header_top .meta_wrap > *,
	.widget_recent_entries .post-date,
	.widget_rss ul li .rss-date,
	.widget_custom_twitter_entries .tweet_time,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont > .published,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tab li small {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_content_font_line_height'] - 2) . "px;
	}
	
	.cmsmasters_pricing_table .cmsmasters_period,
	.cmsmasters_open_post .cmsmasters_post_meta_info,
	.cmsmasters_open_post .cmsmasters_post_meta_info a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_content_font_line_height'] - 2) . "px;
	}
	
	.footer_custom_html {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] - 2) . "px;
	}
	
	blockquote:before {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_content_font_google_font']) . $cmsmasters_option['ecologie' . '_content_font_system_font'] . ";
	}
	
	.cmsmasters_icon_list_items li:before {
		line-height:" . $cmsmasters_option['ecologie' . '_content_font_line_height'] . "px;
	}
	/* Finish Content Font */


	/* Start Link Font */
	a,
	.subpage_nav > strong,
	.subpage_nav > span,
	.subpage_nav > a,
	.subpage_nav > span:not([class]) {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_link_font_google_font']) . $cmsmasters_option['ecologie' . '_link_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_link_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_link_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_link_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_link_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_link_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_link_font_text_decoration'] . ";
	}
	
	a:hover {
		text-decoration:" . $cmsmasters_option['ecologie' . '_link_hover_decoration'] . ";
	}
	/* Finish Link Font */


	/* Start Navigation Title Font */
	.navigation > li > a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_nav_title_font_google_font']) . $cmsmasters_option['ecologie' . '_nav_title_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_nav_title_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_nav_title_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_nav_title_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_nav_title_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_nav_title_font_text_transform'] . ";
	}
	/* Finish Navigation Title Font */


	/* Start Navigation Dropdown Font */
	.navigation ul li a,
	.top_line_nav > li > a,
	.top_line_nav ul li a,
	.footer_nav > li a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_nav_dropdown_font_google_font']) . $cmsmasters_option['ecologie' . '_nav_dropdown_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_text_transform'] . ";
	}
	
	.top_line_nav > li > a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_size'] - 1) . "px;
	}
	
	@media only screen and (max-width: 1024px) {
		.top_line_nav > li > a,
		.top_line_nav ul li a {
			font-size:" . ((int) $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_size'] - 2) . "px;
		}
	}
	
	ul.navigation > li a .nav_subtitle {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_nav_dropdown_font_google_font']) . $cmsmasters_option['ecologie' . '_nav_dropdown_font_system_font'] . ";
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_size'] - 3) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_nav_dropdown_font_line_height'] - 2) . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_text_transform'] . ";
	}
	
	ul.navigation > li a .nav_tag {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_nav_dropdown_font_google_font']) . $cmsmasters_option['ecologie' . '_nav_dropdown_font_system_font'] . ";
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_size'] - 6) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_nav_dropdown_font_line_height'] - 6) . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_nav_dropdown_font_text_transform'] . ";
	}
	/* Finish Navigation Dropdown Font */


	/* Start H1 Font */
	h1,
	h1 a,
	.logo .title,
	.cmsmasters_header_search_form input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]) {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h1_font_google_font']) . $cmsmasters_option['ecologie' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h1_font_text_decoration'] . ";
	}
	
	.cmsmasters_dropcap {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h1_font_google_font']) . $cmsmasters_option['ecologie' . '_h1_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['ecologie' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h1_font_text_decoration'] . ";
	}
	
	.cmsmasters_icon_list_items.cmsmasters_icon_list_icon_type_number .cmsmasters_icon_list_item .cmsmasters_icon_list_icon:before,
	.cmsmasters_icon_box.box_icon_type_number:before,
	.cmsmasters_icon_box.cmsmasters_icon_heading_left.box_icon_type_number .icon_box_heading:before {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h1_font_google_font']) . $cmsmasters_option['ecologie' . '_h1_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['ecologie' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h1_font_font_style'] . ";
	}
	
	.cmsmasters_dropcap.type1 {
		font-size:55px; /* static */
	}
	
	.cmsmasters_dropcap.type2 {
		font-size:45px; /* static */
	}
	
	.headline_outer .headline_inner .headline_icon:before {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_h1_font_font_size'] - 5) . "px;
	}
	
	.headline_outer .headline_inner.align_left .headline_icon,
	.headline_outer .headline_inner.align_left .headline_icon + .cmsmasters_breadcrumbs {
		padding-left:" . ((int) $cmsmasters_option['ecologie' . '_h1_font_font_size'] + 15) . "px;
	}
	
	.headline_outer .headline_inner.align_left .headline_text:before,
	.headline_outer .headline_inner.align_right .headline_text:before {
		line-height:" . $cmsmasters_option['ecologie' . '_h1_font_line_height'] . "px;
		height:" . $cmsmasters_option['ecologie' . '_h1_font_line_height'] . "px;
	}
	
	.headline_outer .headline_inner.align_right .headline_icon,
	.headline_outer .headline_inner.align_right .headline_icon + .cmsmasters_breadcrumbs {
		padding-right:" . ((int) $cmsmasters_option['ecologie' . '_h1_font_font_size'] + 15) . "px;
	}
	
	.headline_outer .headline_inner.align_center .headline_icon {
		padding-top:" . ((int) $cmsmasters_option['ecologie' . '_h1_font_line_height'] + 5) . "px;
	}
	
	.cmsmasters_header_search_form input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range])::-webkit-input-placeholder {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h1_font_google_font']) . $cmsmasters_option['ecologie' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h1_font_text_decoration'] . ";
	}
	
	.cmsmasters_header_search_form input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]):-moz-placeholder {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h1_font_google_font']) . $cmsmasters_option['ecologie' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h1_font_text_decoration'] . ";
	}
	
	@media only screen and (max-width: 768px) {
		.cmsmasters_header_search_form input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range])::-webkit-input-placeholder {
			font-size:28px;
			line-height:40px;
		}
		
		.cmsmasters_header_search_form input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]):-moz-placeholder {
			font-size:28px;
			line-height:40px;
		}
		
		.headline_outer .headline_inner .headline_text .entry-title {
			font-size:" . ((int) $cmsmasters_option['ecologie' . '_h1_font_font_size'] - 7) . "px;
			line-height:" . ((int) $cmsmasters_option['ecologie' . '_h1_font_line_height'] - 8) . "px;
		}
	}
	
	@media only screen and (max-width: 540px) {
		.cmsmasters_header_search_form input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range])::-webkit-input-placeholder {
			font-size:20px;
			line-height:30px;
		}
		
		.cmsmasters_header_search_form input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]):-moz-placeholder {
			font-size:20px;
			line-height:30px;
		}
	}
	/* Finish H1 Font */


	/* Start H2 Font */
	h2,
	h2 a,
	.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap,
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap,
	.cmsmasters_pricing_table .cmsmasters_price_wrap .cmsmasters_currency,
	.cmsmasters_pricing_table .cmsmasters_price_wrap .cmsmasters_price,
	.cmsmasters_pricing_table .cmsmasters_price_wrap .cmsmasters_coins {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h2_font_google_font']) . $cmsmasters_option['ecologie' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h2_font_text_decoration'] . ";
	}
	/* Finish H2 Font */


	/* Start H3 Font */
	h3,
	h3 a,
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h3_font_google_font']) . $cmsmasters_option['ecologie' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h3_font_text_decoration'] . ";
	}
	/* Finish H3 Font */


	/* Start H4 Font */
	h4,
	h4 a,
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_title,
	.cmsmasters_tabs .cmsmasters_tabs_list_item a,
	.post_comments .post_comments_title,
	.comment-respond .comment-reply-title,
	.comment-respond .comment-reply-title a,
	.widget .widgettitle {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h4_font_google_font']) . $cmsmasters_option['ecologie' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h4_font_text_decoration'] . ";
	}
	
	.widget .widgettitle {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_h4_font_font_size'] - 1) . "px;
	}
	
	@media only screen and (max-width: 540px) {
		.cmsmasters_quotes_slider .cmsmasters_quote_title {
			font-size:" . ((int) $cmsmasters_option['ecologie' . '_h4_font_font_size'] - 4) . "px;
			line-height:" . ((int) $cmsmasters_option['ecologie' . '_h4_font_line_height'] - 4) . "px;
		}
	}
	/* Finish H4 Font */


	/* Start H5 Font */
	h5,
	h5 a,
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > a,
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > a,
	table thead td,
	table thead th,
	table tfoot td,
	table tfoot th,
	.cmsmasters_stats .cmsmasters_stat_wrap .cmsmasters_stat_title,
	.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap,
	.cmsmasters_toggles .cmsmasters_toggle_title a,
	.post_nav > span a,
	.cmsmasters_open_project .project_details_item_title,
	.cmsmasters_open_project .project_features_item_title,
	.cmsmasters_open_profile .profile_details_item_title,
	.cmsmasters_open_profile .profile_features_item_title,
	#wp-calendar caption,
	.widget_recent_entries ul li a,
	.widget_recent_comments .recentcomments > a,
	.widget_rss ul li .rsswidget,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont > a,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tab li > a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h5_font_google_font']) . $cmsmasters_option['ecologie' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h5_font_text_decoration'] . ";
	}
	
	.widget_custom_popular_projects_entries .cmsmasters_slider_project .cmsmasters_slider_project_title,
	.widget_custom_popular_projects_entries .cmsmasters_slider_project .cmsmasters_slider_project_title a,
	.widget_custom_latest_projects_entries .cmsmasters_slider_project .cmsmasters_slider_project_title,
	.widget_custom_latest_projects_entries .cmsmasters_slider_project .cmsmasters_slider_project_title a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_h5_font_font_size'] + 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_h5_font_line_height'] + 2) . "px;
	}
	
	#wp-calendar caption {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_h5_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_h5_font_line_height'] - 2) . "px;
	}
	
	.cmsmasters_open_project .project_details_item_desc,
	.cmsmasters_open_project .project_details_item_desc a,
	.cmsmasters_open_project .project_features_item_desc,
	.cmsmasters_open_project .project_features_item_desc a,
	.cmsmasters_open_profile .profile_details_item_desc,
	.cmsmasters_open_profile .profile_details_item_desc a,
	.cmsmasters_open_profile .profile_features_item_desc,
	.cmsmasters_open_profile .profile_features_item_desc a {
		line-height:" . $cmsmasters_option['ecologie' . '_h5_font_line_height'] . "px;
	}
	
	.cmsmasters_single_slider .cmsmasters_owl_slider .owl-buttons > div {
		bottom:" . ((int) $cmsmasters_option['ecologie' . '_h5_font_line_height'] + 28) . "px;
	}
	/* Finish H5 Font */


	/* Start H6 Font */
	h6,
	h6 a,
	.cmsmasters-form-builder .form_info > label,
	.widget .cmsmasters-form-builder .form_info > label,
	div.wpcf7 form > *,
	.cmsmasters_likes a span,
	.cmsmasters_comments a span,
	.cmsmasters_quotes_slider .cmsmasters_quote_subtitle_wrap,
	.cmsmasters_quotes_slider .cmsmasters_quote_subtitle_wrap *,
	.cmsmasters_quotes_grid .cmsmasters_quote_subtitle_wrap,
	.cmsmasters_quotes_grid .cmsmasters_quote_subtitle_wrap *,
	.cmsmasters_toggles .cmsmasters_toggles_filter a,
	.cmsmasters_post_default .cmsmasters_post_date,
	.cmsmasters_post_default .cmsmasters_post_read_more,
	.cmsmasters_post_masonry .cmsmasters_post_date,
	.cmsmasters_post_masonry .cmsmasters_post_read_more,
	.cmsmasters_items_filter_wrap .cmsmasters_items_filter_list li a,
	.cmsmasters_open_post .cmsmasters_post_date,
	.share_posts a,
	.about_author .about_author_cont > a:not([class]),
	.cmsmasters_comment_item .cmsmasters_comment_item_date,
	.cmsmasters_comment_item .comment-reply-link,
	.cmsmasters_comment_item .comment-edit-link,
	.post_nav > span > span.sub,
	.comments_nav > span > a,
	.cmsmasters_slider_post .cmsmasters_slider_post_date,
	.cmsmasters_slider_post .cmsmasters_slider_post_read_more,
	.cmsmasters_archive_type .cmsmasters_archive_item_type,
	.cmsmasters_archive_type .cmsmasters_archive_item_date_wrap,
	#wp-calendar tfoot a,
	.widget_tag_cloud a,
	.widget_rss ul li cite,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tabs_list_item a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h6_font_google_font']) . $cmsmasters_option['ecologie' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h6_font_text_decoration'] . ";
	}
	/* Finish H6 Font */


	/* Start Button Font */
	.cmsmasters_button, 
	.button, 
	input[type=submit], 
	input[type=button], 
	button {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_button_font_google_font']) . $cmsmasters_option['ecologie' . '_button_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_button_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_button_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_button_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_button_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_button_font_text_transform'] . ";
	}
	
	.gform_wrapper .gform_footer input.button, 
	.gform_wrapper .gform_footer input[type=submit] {
		font-size:" . $cmsmasters_option['ecologie' . '_button_font_font_size'] . "px !important;
	}
	
	.cmsmasters_button.cmsmasters_but_icon_dark_bg, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg, 
	.cmsmasters_button.cmsmasters_but_icon_divider, 
	.cmsmasters_button.cmsmasters_but_icon_inverse {
		padding-left:" . ((int) $cmsmasters_option['ecologie' . '_button_font_line_height'] + 20) . "px;
	}
	
	.cmsmasters_button.cmsmasters_but_icon_dark_bg:before, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg:before, 
	.cmsmasters_button.cmsmasters_but_icon_divider:before, 
	.cmsmasters_button.cmsmasters_but_icon_inverse:before, 
	.cmsmasters_button.cmsmasters_but_icon_dark_bg:after, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg:after, 
	.cmsmasters_button.cmsmasters_but_icon_divider:after, 
	.cmsmasters_button.cmsmasters_but_icon_inverse:after {
		width:" . $cmsmasters_option['ecologie' . '_button_font_line_height'] . "px;
	}
	/* Finish Button Font */


	/* Start Small Text Font */
	small, 
	form .formError .formErrorContent {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_small_font_google_font']) . $cmsmasters_option['ecologie' . '_small_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_small_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_small_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_small_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_small_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_small_font_text_transform'] . ";
	}
	
	.gform_wrapper .description, 
	.gform_wrapper .gfield_description, 
	.gform_wrapper .gsection_description, 
	.gform_wrapper .instruction {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_small_font_google_font']) . $cmsmasters_option['ecologie' . '_small_font_system_font'] . " !important;
		font-size:" . $cmsmasters_option['ecologie' . '_small_font_font_size'] . "px !important;
		line-height:" . $cmsmasters_option['ecologie' . '_small_font_line_height'] . "px !important;
	}
	/* Finish Small Text Font */


	/* Start Text Fields Font */
	input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	textarea,
	select,
	option {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_input_font_google_font']) . $cmsmasters_option['ecologie' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_input_font_font_style'] . ";
	}
	
	.gform_wrapper input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.gform_wrapper textarea, 
	.gform_wrapper select {
		font-size:" . $cmsmasters_option['ecologie' . '_input_font_font_size'] . "px !important;
	}
	/* Finish Text Fields Font */


	/* Start Blockquote Font */
	blockquote,
	.cmsmasters_quotes_slider .cmsmasters_quote_content {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_quote_font_google_font']) . $cmsmasters_option['ecologie' . '_quote_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_quote_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_quote_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_quote_font_font_style'] . ";
	}
	
	.cmsmasters_quotes_slider .cmsmasters_quote_content {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_quote_font_font_size'] + 15) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_quote_font_line_height'] + 22) . "px;
	}
	
	.cmsmasters_quotes_slider .cmsmasters_quote_image_plug,
	.cmsmasters_quotes_grid .cmsmasters_quote_image_plug {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_quote_font_google_font']) . $cmsmasters_option['ecologie' . '_quote_font_system_font'] . ";
	}
	
	q {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_quote_font_google_font']) . $cmsmasters_option['ecologie' . '_quote_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['ecologie' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_quote_font_font_style'] . ";
	}
	
	@media only screen and (max-width: 540px) {
		.cmsmasters_quotes_slider .cmsmasters_quote_content {
			font-size:" . ((int) $cmsmasters_option['ecologie' . '_quote_font_font_size'] + 5) . "px;
			line-height:" . ((int) $cmsmasters_option['ecologie' . '_quote_font_line_height'] + 12) . "px;
		}
	}
	/* Finish Blockquote Font */

/***************** Finish Theme Font Styles ******************/


";
	
	
	return apply_filters('ecologie_theme_fonts_filter', $custom_css);
}

