<?php 
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version		1.1.1
 * 
 * Theme Settings Defaults
 * Created by CMSMasters
 * 
 */


/* Theme Settings General Default Values */
if (!function_exists('ecologie_settings_general_defaults')) {

function ecologie_settings_general_defaults($id = false) {
	$settings = array( 
		'general' => array( 
			'ecologie' . '_theme_layout' => 		'liquid', 
			'ecologie' . '_logo_type' => 			'image', 
			'ecologie' . '_logo_url' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo.png', 
			'ecologie' . '_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_retina.png', 
			'ecologie' . '_logo_title' => 			get_bloginfo('name') ? get_bloginfo('name') : 'Écologie', 
			'ecologie' . '_logo_subtitle' => 		'', 
			'ecologie' . '_logo_custom_color' => 	0, 
			'ecologie' . '_logo_title_color' => 	'', 
			'ecologie' . '_logo_subtitle_color' => 	'' 
		), 
		'bg' => array( 
			'ecologie' . '_bg_col' => 			'#ffffff', 
			'ecologie' . '_bg_img_enable' => 	0, 
			'ecologie' . '_bg_img' => 			'', 
			'ecologie' . '_bg_rep' => 			'no-repeat', 
			'ecologie' . '_bg_pos' => 			'top center', 
			'ecologie' . '_bg_att' => 			'scroll', 
			'ecologie' . '_bg_size' => 			'cover' 
		), 
		'header' => array( 
			'ecologie' . '_fixed_header' => 				1, 
			'ecologie' . '_header_overlaps' => 				0, 
			'ecologie' . '_header_top_line' => 				0, 
			'ecologie' . '_header_top_height' => 			'32', 
			'ecologie' . '_header_top_line_short_info' => 	'', 
			'ecologie' . '_header_top_line_add_cont' => 	'social', 
			'ecologie' . '_header_styles' => 				'default', 
			'ecologie' . '_header_mid_height' => 			'70', 
			'ecologie' . '_header_bot_height' => 			'70', 
			'ecologie' . '_header_search' => 				1, 
			'ecologie' . '_header_add_cont' => 				'social', 
			'ecologie' . '_header_add_cont_cust_html' => 	'', 
			'ecologie' . '_woocommerce_cart_dropdown' => 	0 
		), 
		'content' => array( 
			'ecologie' . '_layout' => 					'r_sidebar', 
			'ecologie' . '_archives_layout' => 			'r_sidebar', 
			'ecologie' . '_search_layout' => 			'r_sidebar', 
			'ecologie' . '_other_layout' => 			'r_sidebar', 
			'ecologie' . '_heading_alignment' => 		'center', 
			'ecologie' . '_heading_scheme' => 			'default', 
			'ecologie' . '_heading_bg_image_enable' => 	1, 
			'ecologie' . '_heading_bg_image' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/headline_bg.jpg', 
			'ecologie' . '_heading_bg_repeat' => 		'no-repeat', 
			'ecologie' . '_heading_bg_attachment' => 	'scroll', 
			'ecologie' . '_heading_bg_size' => 			'cover', 
			'ecologie' . '_heading_bg_color' => 		'', 
			'ecologie' . '_heading_height' => 			'330', 
			'ecologie' . '_breadcrumbs' => 				1, 
			'ecologie' . '_bottom_scheme' => 			'first', 
			'ecologie' . '_bottom_sidebar' => 			0, 
			'ecologie' . '_bottom_sidebar_layout' => 	'14141414' 
		), 
		'footer' => array( 
			'ecologie' . '_footer_scheme' => 				'footer', 
			'ecologie' . '_footer_type' => 					'small', 
			'ecologie' . '_footer_additional_content' => 	'nav', 
			'ecologie' . '_footer_logo' => 					1, 
			'ecologie' . '_footer_logo_url' => 				'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer.png', 
			'ecologie' . '_footer_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer_retina.png', 
			'ecologie' . '_footer_nav' => 					1, 
			'ecologie' . '_footer_social' => 				1, 
			'ecologie' . '_footer_html' => 					'', 
			'ecologie' . '_footer_copyright' => 			'Écologie' . ' &copy; ' . date('Y') . ' / ' . esc_html__('All Rights Reserved', 'ecologie') 
		) 
	);
	
	
	$settings = apply_filters('ecologie_settings_general_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Theme Settings Fonts Default Values */
if (!function_exists('ecologie_settings_font_defaults')) {

function ecologie_settings_font_defaults($id = false) {
	$settings = array( 
		'content' => array( 
			'ecologie' . '_content_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'PT+Sans:400,400italic,700,700italic', 
				'font_size' => 			'17', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			) 
		), 
		'link' => array( 
			'ecologie' . '_link_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'PT+Sans:400,400italic,700,700italic', 
				'font_size' => 			'17', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'ecologie' . '_link_hover_decoration' => 	'none' 
		), 
		'nav' => array( 
			'ecologie' . '_nav_title_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'13', 
				'line_height' => 		'20', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'ecologie' . '_nav_dropdown_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'PT+Sans:400,400italic,700,700italic', 
				'font_size' => 			'16', 
				'line_height' => 		'22', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			) 
		), 
		'heading' => array( 
			'ecologie' . '_h1_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'55', 
				'line_height' => 		'70', 
				'font_weight' => 		'600', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'ecologie' . '_h2_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'45', 
				'line_height' => 		'58', 
				'font_weight' => 		'600', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'ecologie' . '_h3_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'31', 
				'line_height' => 		'40', 
				'font_weight' => 		'600', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'ecologie' . '_h4_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'22', 
				'line_height' => 		'30', 
				'font_weight' => 		'600', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'ecologie' . '_h5_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'16', 
				'line_height' => 		'22', 
				'font_weight' => 		'600', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'ecologie' . '_h6_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'12', 
				'line_height' => 		'18', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			) 
		), 
		'other' => array( 
			'ecologie' . '_button_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'14', 
				'line_height' => 		'54', 
				'font_weight' => 		'600', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'ecologie' . '_small_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'PT+Sans:400,400italic,700,700italic', 
				'font_size' => 			'15', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'ecologie' . '_input_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'PT+Sans:400,400italic,700,700italic', 
				'font_size' => 			'17', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			), 
			'ecologie' . '_quote_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900', 
				'font_size' => 			'16', 
				'line_height' => 		'24', 
				'font_weight' => 		'600', 
				'font_style' => 		'normal' 
				)
		), 
		'google' => array( 
			'ecologie' . '_google_web_fonts' => array( 
				'Fira+Sans:100,100italic,200,200italic,300,300italic,400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic|Fira Sans', 
				'Encode+Sans+Condensed:100,200,300,400,500,600,700,800,900|Encode Sans Condensed', 
				'Roboto:300,300italic,400,400italic,500,500italic,700,700italic|Roboto', 
				'Roboto+Condensed:400,400italic,700,700italic|Roboto Condensed', 
				'Open+Sans:300,300italic,400,400italic,700,700italic|Open Sans', 
				'Open+Sans+Condensed:300,300italic,700|Open Sans Condensed', 
				'Droid+Sans:400,700|Droid Sans', 
				'Droid+Serif:400,400italic,700,700italic|Droid Serif', 
				'PT+Sans:400,400italic,700,700italic|PT Sans', 
				'PT+Sans+Caption:400,700|PT Sans Caption', 
				'PT+Sans+Narrow:400,700|PT Sans Narrow', 
				'PT+Serif:400,400italic,700,700italic|PT Serif', 
				'Ubuntu:400,400italic,700,700italic|Ubuntu', 
				'Ubuntu+Condensed|Ubuntu Condensed', 
				'Headland+One|Headland One', 
				'Source+Sans+Pro:300,300italic,400,400italic,700,700italic|Source Sans Pro', 
				'Lato:400,400italic,700,700italic|Lato', 
				'Cuprum:400,400italic,700,700italic|Cuprum', 
				'Oswald:300,400,700|Oswald', 
				'Yanone+Kaffeesatz:300,400,700|Yanone Kaffeesatz', 
				'Lobster|Lobster', 
				'Lobster+Two:400,400italic,700,700italic|Lobster Two', 
				'Questrial|Questrial', 
				'Raleway:300,400,500,600,700|Raleway', 
				'Dosis:300,400,500,700|Dosis', 
				'Cutive+Mono|Cutive Mono', 
				'Quicksand:300,400,700|Quicksand', 
				'Montserrat:400,700|Montserrat', 
				'Cookie|Cookie' 
			) 
		) 
	);
	
	
	$settings = apply_filters('ecologie_settings_font_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// WP Color Picker Palettes
if (!function_exists('cmsmasters_color_picker_palettes')) {

function cmsmasters_color_picker_palettes() {
	$palettes = array( 
		'#827c78', 
		'#3d2b1f', 
		'#fc580e', 
		'#3c2e23', 
		'#ffffff', 
		'#f1f1f1', 
		'#e3e3e3' 
	);
	
	
	return apply_filters('cmsmasters_color_picker_palettes_filter', $palettes);
}

}



// Theme Settings Color Schemes Default Colors
if (!function_exists('ecologie_color_schemes_defaults')) {

function ecologie_color_schemes_defaults($id = false) {
	$settings = array( 
		'default' => array( // content default color scheme
			'color' => 		'#827c78', 
			'link' => 		'#3d2b1f', 
			'hover' => 		'#fc580e', 
			'heading' => 	'#3c2e23', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#f1f1f1', 
			'border' => 	'#e3e3e3' 
		), 
		'header' => array( // Header color scheme
			'mid_color' => 		'#9e9a97', 
			'mid_link' => 		'#827c78', 
			'mid_hover' => 		'#fc580e', 
			'mid_bg' => 		'#f1f1f1', 
			'mid_bg_scroll' => 	'#f1f1f1', 
			'mid_border' => 	'#dcdcdc', 
			'bot_color' => 		'#251d13', 
			'bot_link' => 		'rgba(37,29,19,0.4)', 
			'bot_hover' => 		'#fc580e ', 
			'bot_bg' => 		'#f1f1f1', 
			'bot_bg_scroll' => 	'#f1f1f1',    
			'bot_border' => 	'rgba(220,220,220,0.7)' 
		), 
		'navigation' => array( // Navigation color scheme
			'title_link' => 			'#251d13', 
			'title_link_hover' => 		'#fc580e', 
			'title_link_current' => 	'#251d13', 
			'title_link_subtitle' => 	'rgba(37,29,19,0.5)', 
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_bg_current' => 	'#dcdcdc', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_text' => 			'rgba(255,255,255,0.4)', 
			'dropdown_bg' => 			'#3a332a', 
			'dropdown_border' => 		'#3a332a', 
			'dropdown_link' => 			'rgba(255,255,255,0.5)', 
			'dropdown_link_hover' => 	'#fc580e', 
			'dropdown_link_subtitle' => 'rgba(255,255,255,0.7)', 
			'dropdown_link_highlight' => 'rgba(255,255,255,0)', 
			'dropdown_link_border' => 	'rgba(255,255,255,0)'  
		), 
		'header_top' => array( // Header Top color scheme
			'color' => 					'rgba(255,255,255,0.4)', 
			'link' => 					'rgba(255,255,255,0.4)', 
			'hover' => 					'#fc580e', 
			'bg' => 					'#3a332a', 
			'border' => 				'rgba(255,255,255,0.4)', 
			'title_link' => 			'rgba(255,255,255,0.4)', 
			'title_link_hover' => 		'#fc580e', 
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_bg' => 			'#3a332a', 
			'dropdown_border' => 		'rgba(255,255,255,0)', 
			'dropdown_link' => 			'rgba(255,255,255,0.4)', 
			'dropdown_link_hover' => 	'#fc580e', 
			'dropdown_link_highlight' => '#fc580e', 
			'dropdown_link_border' => 	'rgba(255,255,255,0)' 
		), 
		'footer' => array( // Footer color scheme
			'color' => 		'#ffffff', 
			'link' => 		'rgba(255,255,255,0.4)', 
			'hover' => 		'#fc580e', 
			'heading' => 	'rgba(255,255,255,0.6)', 
			'bg' => 		'#3c2e23', 
			'alternate' => 	'rgba(255,255,255,0.1)', 
			'border' => 	'rgba(255,255,255,0.1)' 
		), 
		'first' => array( // custom color scheme 1
			'color' => 		'#827c78', 
			'link' => 		'#827c78', 
			'hover' => 		'#ff6c2f', 
			'heading' => 	'#3c2e23', 
			'bg' => 		'#f8f7f7', 
			'alternate' => 	'#e3e3e3', 
			'border' => 	'#e4e4e4' 
		), 
		'second' => array( // custom color scheme 2
			'color' => 		'rgba(255,255,255,0.55)', 
			'link' => 		'#fc580e', 
			'hover' => 		'#fc580e', 
			'heading' => 	'#ffffff', 
			'bg' => 		'rgba(51,39,29,0)', 
			'alternate' => 	'rgba(255,255,255,0.2)', 
			'border' => 	'#e4e4e4' 
		), 
		'third' => array( // custom color scheme 3
			'color' => 		'#ffffff', 
			'link' => 		'rgba(255,255,255,0.6)', 
			'hover' => 		'#ffffff', 
			'heading' => 	'#ffffff', 
			'bg' => 		'#8fb664', 
			'alternate' => 	'#ffffff', 
			'border' => 	'#e4e4e4' 
		) 
	);
	
	
	$settings = apply_filters('ecologie_color_schemes_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Elements Default Values
if (!function_exists('ecologie_settings_element_defaults')) {

function ecologie_settings_element_defaults($id = false) {
	$settings = array( 
		'sidebar' => array( 
			'ecologie' . '_sidebar' => 	'' 
		), 
		'icon' => array( 
			'ecologie' . '_social_icons' => array( 
				'cmsmasters-icon-facebook|#|' . esc_html__('Facebook', 'ecologie') . '|true|#827c78|#fc580e', 
				'cmsmasters-icon-twitter|#|' . esc_html__('Twitter', 'ecologie') . '|true|#827c78|#fc580e', 
				'cmsmasters-icon-youtube|#|' . esc_html__('YouTube', 'ecologie') . '|true|#827c78|#fc580e', 
				'cmsmasters-icon-instagram|#|' . esc_html__('Instagram', 'ecologie') . '|true|#827c78|#fc580e' 
			) 
		), 
		'lightbox' => array( 
			'ecologie' . '_ilightbox_skin' => 					'dark', 
			'ecologie' . '_ilightbox_path' => 					'vertical', 
			'ecologie' . '_ilightbox_infinite' => 				0, 
			'ecologie' . '_ilightbox_aspect_ratio' => 			1, 
			'ecologie' . '_ilightbox_mobile_optimizer' => 		1, 
			'ecologie' . '_ilightbox_max_scale' => 				1, 
			'ecologie' . '_ilightbox_min_scale' => 				0.2, 
			'ecologie' . '_ilightbox_inner_toolbar' => 			0, 
			'ecologie' . '_ilightbox_smart_recognition' => 		0, 
			'ecologie' . '_ilightbox_fullscreen_one_slide' => 	0, 
			'ecologie' . '_ilightbox_fullscreen_viewport' => 	'center', 
			'ecologie' . '_ilightbox_controls_toolbar' => 		1, 
			'ecologie' . '_ilightbox_controls_arrows' => 		0, 
			'ecologie' . '_ilightbox_controls_fullscreen' => 	1, 
			'ecologie' . '_ilightbox_controls_thumbnail' => 	1, 
			'ecologie' . '_ilightbox_controls_keyboard' => 		1, 
			'ecologie' . '_ilightbox_controls_mousewheel' => 	1, 
			'ecologie' . '_ilightbox_controls_swipe' => 		1, 
			'ecologie' . '_ilightbox_controls_slideshow' => 	0 
		), 
		'sitemap' => array( 
			'ecologie' . '_sitemap_nav' => 			1, 
			'ecologie' . '_sitemap_categs' => 		1, 
			'ecologie' . '_sitemap_tags' => 		1, 
			'ecologie' . '_sitemap_month' => 		1, 
			'ecologie' . '_sitemap_pj_categs' => 	1, 
			'ecologie' . '_sitemap_pj_tags' => 		1 
		), 
		'error' => array( 
			'ecologie' . '_error_color' => 				'#3c2e23', 
			'ecologie' . '_error_bg_color' => 			'#ffffff', 
			'ecologie' . '_error_bg_img_enable' => 		0, 
			'ecologie' . '_error_bg_image' => 			'', 
			'ecologie' . '_error_bg_rep' => 			'no-repeat', 
			'ecologie' . '_error_bg_pos' => 			'top center', 
			'ecologie' . '_error_bg_att' => 			'scroll', 
			'ecologie' . '_error_bg_size' => 			'cover', 
			'ecologie' . '_error_search' => 			1, 
			'ecologie' . '_error_sitemap_button' => 	1, 
			'ecologie' . '_error_sitemap_link' => 		'' 
		), 
		'code' => array( 
			'ecologie' . '_custom_css' => 			'', 
			'ecologie' . '_custom_js' => 			'', 
			'ecologie' . '_gmap_api_key' => 		'', 
			'ecologie' . '_twitter_access_data' => 	array(), 
		), 
		'recaptcha' => array( 
			'ecologie' . '_recaptcha_public_key' => 	'', 
			'ecologie' . '_recaptcha_private_key' => 	'' 
		) 
	);
	
	
	$settings = apply_filters('ecologie_settings_element_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Single Posts Default Values
if (!function_exists('ecologie_settings_single_defaults')) {

function ecologie_settings_single_defaults($id = false) {
	$settings = array( 
		'post' => array( 
			'ecologie' . '_blog_post_layout' => 		'r_sidebar', 
			'ecologie' . '_blog_post_title' => 			1, 
			'ecologie' . '_blog_post_date' => 			1, 
			'ecologie' . '_blog_post_cat' => 			1, 
			'ecologie' . '_blog_post_author' => 		1, 
			'ecologie' . '_blog_post_comment' => 		1, 
			'ecologie' . '_blog_post_tag' => 			1, 
			'ecologie' . '_blog_post_like' => 			1, 
			'ecologie' . '_blog_post_nav_box' => 		1, 
			'ecologie' . '_blog_post_nav_order_cat' => 	0, 
			'ecologie' . '_blog_post_share_box' => 		1, 
			'ecologie' . '_blog_post_author_box' => 	1, 
			'ecologie' . '_blog_more_posts_box' => 		'popular', 
			'ecologie' . '_blog_more_posts_count' => 	'3', 
			'ecologie' . '_blog_more_posts_pause' => 	'5' 
		), 
		'project' => array( 
			'ecologie' . '_portfolio_project_title' => 			1, 
			'ecologie' . '_portfolio_project_details_title' => 	esc_html__('Project details', 'ecologie'), 
			'ecologie' . '_portfolio_project_date' => 			0, 
			'ecologie' . '_portfolio_project_cat' => 			1, 
			'ecologie' . '_portfolio_project_author' => 		0, 
			'ecologie' . '_portfolio_project_comment' => 		0, 
			'ecologie' . '_portfolio_project_tag' => 			0, 
			'ecologie' . '_portfolio_project_like' => 			0, 
			'ecologie' . '_portfolio_project_link' => 			0, 
			'ecologie' . '_portfolio_project_share_box' => 		1, 
			'ecologie' . '_portfolio_project_nav_box' => 		1, 
			'ecologie' . '_portfolio_project_nav_order_cat' => 	0, 
			'ecologie' . '_portfolio_project_author_box' => 	1, 
			'ecologie' . '_portfolio_more_projects_box' => 		'popular', 
			'ecologie' . '_portfolio_more_projects_count' => 	'4', 
			'ecologie' . '_portfolio_more_projects_pause' => 	'5', 
			'ecologie' . '_portfolio_project_slug' => 			'project', 
			'ecologie' . '_portfolio_pj_categs_slug' => 		'pj-categs', 
			'ecologie' . '_portfolio_pj_tags_slug' => 			'pj-tags' 
		), 
		'profile' => array( 
			'ecologie' . '_profile_post_title' => 			1, 
			'ecologie' . '_profile_post_details_title' => 	esc_html__('Profile details', 'ecologie'), 
			'ecologie' . '_profile_post_cat' => 			1, 
			'ecologie' . '_profile_post_comment' => 		1, 
			'ecologie' . '_profile_post_like' => 			1, 
			'ecologie' . '_profile_post_nav_box' => 		1, 
			'ecologie' . '_profile_post_nav_order_cat' => 	0, 
			'ecologie' . '_profile_post_share_box' => 		1, 
			'ecologie' . '_profile_post_slug' => 			'profile', 
			'ecologie' . '_profile_pl_categs_slug' => 		'pl-categs' 
		) 
	);
	
	
	$settings = apply_filters('ecologie_settings_single_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Project Puzzle Proportion */
if (!function_exists('ecologie_project_puzzle_proportion')) {

function ecologie_project_puzzle_proportion() {
	return 1;
}

}



/* Project Puzzle Proportion */
if (!function_exists('ecologie_project_puzzle_large_gar_parameters')) {

function ecologie_project_puzzle_large_gar_parameters() {
	$parameter = array ( 
		'container_width' 		=> 1160, 
		'bottomStaticPadding' 	=> 3.4 
	);
	
	
	return $parameter;
}

}



/* Theme Image Thumbnails Size */
if (!function_exists('ecologie_get_image_thumbnail_list')) {

function ecologie_get_image_thumbnail_list() {
	$list = array( 
		'cmsmasters-small-thumb' => array( 
			'width' => 		70, 
			'height' => 	70, 
			'crop' => 		true 
		), 
		'cmsmasters-square-thumb' => array( 
			'width' => 		300, 
			'height' => 	300, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Square', 'ecologie') 
		), 
		'cmsmasters-blog-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	345, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Masonry Blog', 'ecologie') 
		), 
		'cmsmasters-project-thumb' => array( 
			'width' => 		580, 
			'height' => 	335, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project', 'ecologie') 
		), 
		'cmsmasters-project-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Project', 'ecologie') 
		), 
		'post-thumbnail' => array( 
			'width' => 		860, 
			'height' => 	480, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Featured', 'ecologie') 
		), 
		'cmsmasters-masonry-thumb' => array( 
			'width' => 		860, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry', 'ecologie') 
		), 
		'cmsmasters-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	650, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Full', 'ecologie') 
		), 
		'cmsmasters-project-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	540, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project Full', 'ecologie') 
		), 
		'cmsmasters-full-masonry-thumb' => array( 
			'width' => 		1160, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Full', 'ecologie') 
		) 
	);
	
	
	return $list;
}

}



/* Project Post Type Registration Rename */
if (!function_exists('ecologie_project_labels')) {

function ecologie_project_labels() {
	return array( 
		'name' => 					esc_html__('Projects', 'ecologie'), 
		'singular_name' => 			esc_html__('Project', 'ecologie'), 
		'menu_name' => 				esc_html__('Projects', 'ecologie'), 
		'all_items' => 				esc_html__('All Projects', 'ecologie'), 
		'add_new' => 				esc_html__('Add New', 'ecologie'), 
		'add_new_item' => 			esc_html__('Add New Project', 'ecologie'), 
		'edit_item' => 				esc_html__('Edit Project', 'ecologie'), 
		'new_item' => 				esc_html__('New Project', 'ecologie'), 
		'view_item' => 				esc_html__('View Project', 'ecologie'), 
		'search_items' => 			esc_html__('Search Projects', 'ecologie'), 
		'not_found' => 				esc_html__('No projects found', 'ecologie'), 
		'not_found_in_trash' => 	esc_html__('No projects found in Trash', 'ecologie') 
	);
}

}

// add_filter('cmsmasters_project_labels_filter', 'ecologie_project_labels');


if (!function_exists('ecologie_pj_categs_labels')) {

function ecologie_pj_categs_labels() {
	return array( 
		'name' => 					esc_html__('Project Categories', 'ecologie'), 
		'singular_name' => 			esc_html__('Project Category', 'ecologie') 
	);
}

}

// add_filter('cmsmasters_pj_categs_labels_filter', 'ecologie_pj_categs_labels');


if (!function_exists('ecologie_pj_tags_labels')) {

function ecologie_pj_tags_labels() {
	return array( 
		'name' => 					esc_html__('Project Tags', 'ecologie'), 
		'singular_name' => 			esc_html__('Project Tag', 'ecologie') 
	);
}

}

// add_filter('cmsmasters_pj_tags_labels_filter', 'ecologie_pj_tags_labels');



/* Profile Post Type Registration Rename */
if (!function_exists('ecologie_profile_labels')) {

function ecologie_profile_labels() {
	return array( 
		'name' => 					esc_html__('Profiles', 'ecologie'), 
		'singular_name' => 			esc_html__('Profiles', 'ecologie'), 
		'menu_name' => 				esc_html__('Profiles', 'ecologie'), 
		'all_items' => 				esc_html__('All Profiles', 'ecologie'), 
		'add_new' => 				esc_html__('Add New', 'ecologie'), 
		'add_new_item' => 			esc_html__('Add New Profile', 'ecologie'), 
		'edit_item' => 				esc_html__('Edit Profile', 'ecologie'), 
		'new_item' => 				esc_html__('New Profile', 'ecologie'), 
		'view_item' => 				esc_html__('View Profile', 'ecologie'), 
		'search_items' => 			esc_html__('Search Profiles', 'ecologie'), 
		'not_found' => 				esc_html__('No Profiles found', 'ecologie'), 
		'not_found_in_trash' => 	esc_html__('No Profiles found in Trash', 'ecologie') 
	);
}

}

// add_filter('cmsmasters_profile_labels_filter', 'ecologie_profile_labels');


if (!function_exists('ecologie_pl_categs_labels')) {

function ecologie_pl_categs_labels() {
	return array( 
		'name' => 					esc_html__('Profile Categories', 'ecologie'), 
		'singular_name' => 			esc_html__('Profile Category', 'ecologie') 
	);
}

}

// add_filter('cmsmasters_pl_categs_labels_filter', 'ecologie_pl_categs_labels');

