<?php
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.0
 * 
 * Tribe Events Colors Rules
 * Created by CMSMasters
 * 
 */


function ecologie_tribe_events_colors($custom_css) {
	$cmsmasters_option = ecologie_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} Tribe Events Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-],
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] a,
	{$rule}table.tribe-events-calendar tbody td .tribe-events-month-event-title a,
	{$rule}#tribe-events-content-wrapper .type-tribe_events.tribe-events-photo-event.tribe-event-featured .tribe-events-event-meta:before,
	{$rule}.tribe-events-venue .cmsmasters_events_venue_header_right a,
	{$rule}.tribe-events-organizer .cmsmasters_events_organizer_header_right a,
	{$rule}.widget.tribe-events-list-widget .tribe-event-featured [class*=cmsmasters_theme_icon]:before,
	{$rule}.tribe-mini-calendar tbody,
	{$rule}.tribe-mini-calendar tbody a,
	{$rule}.widget.tribe-events-adv-list-widget .tribe-event-featured [class*=cmsmasters_theme_icon]:before,
	{$rule}.tribe-this-week-events-widget .tribe-events-page-title,
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue a,
	{$rule}.tribe-this-week-events-widget .tribe-events-sub-nav li span:not([class]),
	{$rule}.tribe-this-week-events-widget .tribe-event-featured [class*=cmsmasters_theme_icon]:before {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}#tribe-events-content > .tribe-events-button:hover,
	{$rule}.tribe-events-list .tribe-events-read-more:hover,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-list-event-title a:hover,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-read-more,
	{$rule}#tribe-events-content-wrapper .type-tribe_events.tribe-events-photo-event.tribe-event-featured .tribe-events-list-event-title a:hover,
	{$rule}.cmsmasters_single_event .cmsmasters_single_event_header_right a:hover,
	{$rule}.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item_descr a:hover,
	{$rule}.cmsmasters_single_event_meta dt a:hover,
	{$rule}.cmsmasters_single_event_meta dd a:hover,
	{$rule}.widget.tribe-events-list-widget .tribe-event-featured .entry-title a:hover,
	{$rule}.tribe-mini-calendar tbody a:hover,
	{$rule}.tribe-mini-calendar tbody .tribe-events-present,
	{$rule}.tribe-mini-calendar tbody .tribe-events-present a,
	{$rule}.tribe-mini-calendar tbody .tribe-events-present.tribe-events-has-events a,
	{$rule}.tribe-mini-calendar tbody td.tribe-events-has-events a:hover,
	{$rule}.tribe-mini-calendar thead th,
	{$rule}.widget .tribe-mini-calendar-list-wrapper .tribe-event-featured .entry-title a:hover,
	{$rule}.widget.tribe-events-adv-list-widget .tribe-event-featured .entry-title a:hover,
	{$rule}.tribe-events-venue-widget .tribe-event-featured .entry-title a:hover,
	{$rule}.tribe-this-week-events-widget .this-week-today .tribe-this-week-widget-header-date,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .entry-title a:hover,
	{$rule}.tribe-this-week-events-widget .tribe-events-viewmore a:hover,
	{$rule}.tribe-events-grid .tribe-grid-header .tribe-week-today span,
	{$rule}.tribe-mini-calendar-list-wrapper [class*=cmsmasters_theme_icon]:before {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}table.tribe-events-calendar thead th,
	{$rule}table.tribe-events-calendar tbody td.tribe-events-present div[id*=tribe-events-daynum-],
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single,
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single:hover,
	{$rule}.tribe-events-grid .tribe-grid-header a:hover,
	{$rule}table.tribe-events-calendar tbody td.tribe-events-has-events:before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */
	
	
	/* Start Highlight Color */
	{$rule}#tribe-bar-views .tribe-bar-views-list li:hover,
	{$rule}#tribe-bar-views .tribe-bar-views-list li.tribe-bar-active, 
	{$rule}#tribe-bar-views .tribe-bar-views-list li a:hover,
	{$rule}#tribe-bar-views .tribe-bar-views-list li.tribe-bar-active a,
	{$rule}#tribe-bar-views .tribe-bar-views-list li.tribe-bar-active a:hover,
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] a:hover,
	{$rule}table.tribe-events-calendar tbody td .tribe-events-month-event-title a:hover,
	{$rule}.tribe-events-sub-nav li a:hover,
	{$rule}#tribe-events-content > .tribe-events-button,
	{$rule}.tribe-events-list .tribe-events-event-meta .author > div:before,
	{$rule}.tribe-events-list .tribe-events-event-cost:before,
	{$rule}.tribe-events-list .tribe-events-read-more,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-list-event-title,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-list-event-title a,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-read-more:hover,
	{$rule}.tribe-events-photo .tribe-events-event-meta:before,
	{$rule}#tribe-events-content-wrapper .type-tribe_events.tribe-events-photo-event.tribe-event-featured .tribe-events-list-event-title,
	{$rule}#tribe-events-content-wrapper .type-tribe_events.tribe-events-photo-event.tribe-event-featured .tribe-events-list-event-title a,
	{$rule}.cmsmasters_single_event .cmsmasters_single_event_header_right a,
	{$rule}.cmsmasters_single_event .cmsmasters_single_event_header_right a:before,
	{$rule}.cmsmasters_single_event .tribe-events-cost:before,
	{$rule}.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item_descr a,
	{$rule}.cmsmasters_single_event_meta dt a,
	{$rule}.cmsmasters_single_event_meta dd a,
	{$rule}.tribe-events-venue .cmsmasters_events_venue_header_right a:hover,
	{$rule}.tribe-events-venue .cmsmasters_events_venue_header_right a:before,
	{$rule}.tribe-events-organizer .cmsmasters_events_organizer_header_right a:hover,
	{$rule}.tribe-events-organizer .cmsmasters_events_organizer_header_right a:before,
	{$rule}.widget .vcalendar [class*=cmsmasters_theme_icon]:before,
	{$rule}.tribe-mini-calendar-list-wrapper [class*=cmsmasters_theme_icon]:before,
	{$rule}.cmsmasters_event_date .cmsmasters_event_mon,
	{$rule}.widget.tribe-events-list-widget .tribe-event-featured .entry-title,
	{$rule}.widget.tribe-events-list-widget .tribe-event-featured .entry-title a,
	{$rule}.tribe-mini-calendar thead a:hover,
	{$rule}.tribe-mini-calendar tbody td.tribe-events-has-events a,
	{$rule}.tribe-mini-calendar tbody .tribe-events-present.tribe-events-present a:hover,
	{$rule}.widget .tribe-mini-calendar-list-wrapper .tribe-event-featured .entry-title,
	{$rule}.widget .tribe-mini-calendar-list-wrapper .tribe-event-featured .entry-title a,
	{$rule}.widget.tribe-events-adv-list-widget .tribe-event-featured .entry-title,
	{$rule}.widget.tribe-events-adv-list-widget .tribe-event-featured .entry-title a,
	{$rule}.tribe-events-countdown-widget .tribe-countdown-text a:hover,
	{$rule}.tribe-events-countdown-widget .tribe-countdown-time span,
	{$rule}.tribe-events-venue-widget .vcalendar .cmsmasters_widget_event_info_cost,
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue-name a:hover,
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue-name:before,
	{$rule}.tribe-events-venue-widget .tribe-event-featured .entry-title,
	{$rule}.tribe-events-venue-widget .tribe-event-featured .entry-title a,
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .duration:before,
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue:before,
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue a:hover,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .entry-title,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .entry-title a,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .duration a:hover,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .tribe-venue a:hover,
	{$rule}.tribe-this-week-events-widget .tribe-events-viewmore a,
	{$rule}.tribe-events-grid .tribe-grid-header a:hover span,
	{$rule}.event_hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_hover']) . "
	}
	
	{$rule}.tribe-events-sub-nav li a:hover span:not([class]),
	{$rule}.tribe-events-grid .tribe-week-event .vevent .entry-title a,
	{$rule}.tribe-events-grid .tribe-week-event .vevent .entry-title a:hover,
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Highlight Color */
	
	
	/* Start Headings Color */
	{$rule}.tribe-bar-filters-inner > div label,
	{$rule}#tribe-bar-views .button,
	{$rule}#tribe-bar-views .button:hover,
	{$rule}#tribe-bar-views .tribe-bar-views-list li,
	{$rule}#tribe-bar-views .tribe-bar-views-list li a,
	{$rule}.tribe-events-sub-nav li a,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-event-meta,
	{$rule}#tribe-events-content-wrapper .type-tribe_events.tribe-events-photo-event.tribe-event-featured .tribe-events-event-meta,
	{$rule}.cmsmasters_single_event .tribe-events-cost,
	{$rule}.cmsmasters_event_date .cmsmasters_event_day,
	{$rule}.widget.tribe-events-list-widget .tribe-event-featured .cmsmasters_widget_event_info,
	{$rule}.widget .tribe-mini-calendar-list-wrapper .tribe-event-featured .cmsmasters_widget_event_info,
	{$rule}.widget.tribe-events-adv-list-widget .tribe-event-featured .cmsmasters_widget_event_info,
	{$rule}.tribe-events-countdown-widget .tribe-countdown-text,
	{$rule}.tribe-events-countdown-widget .tribe-countdown-text a,
	{$rule}.tribe-events-countdown-widget .tribe-countdown-time,
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue-name a,
	{$rule}.tribe-events-venue-widget .tribe-event-featured .cmsmasters_widget_event_info,
	{$rule}.tribe-this-week-events-widget .tribe-this-week-widget-header-date,
	{$rule}.tribe-this-week-events-widget .tribe-events-sub-nav li a:hover span:not([class]),
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .duration,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .duration a,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .tribe-venue,
	{$rule}.tribe-this-week-events-widget .tribe-event-featured .tribe-venue a,
	{$rule}.tribe-events-notices,
	{$rule}.tribe-events-list .tribe-events-list-separator-month,
	{$rule}.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item_title, 
	{$rule}.cmsmasters_single_event_meta dt, 
	{$rule}.tribe-mobile-day .tribe-events-event-schedule-details, 
	{$rule}.tribe-mobile-day .tribe-event-schedule-details {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . "
	}
	
	{$rule}.tribe-mini-calendar .tribe-mini-calendar-nav,
	{$rule}.tribe-mini-calendar .tribe-mini-calendar-nav td,
	{$rule}.tribe-this-week-events-widget .this-week-today .tribe-this-week-widget-header-date,
	{$rule}.tribe-events-grid .tribe-grid-header,
	{$rule}.tribe-events-tooltip,
	{$rule}table.tribe-events-calendar tbody td.tribe-events-has-events.mobile-active:before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . "
	}
	
	{$rule}.tribe-events-sub-nav li span:not([class]) {
		background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . ", .7);
	}
	
	{$rule}.tribe-events-countdown-widget .tribe-countdown-colon {
		color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . ", .5);
	}
	
	{$rule}.tribe-mini-calendar .tribe-mini-calendar-nav tr:first-child {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */
	
	
	/* Start Main Background Color */
	{$rule}.tribe-events-sub-nav li span:not([class]),
	{$rule}.tribe-events-sub-nav li a:hover span:not([class]),
	{$rule}.tribe-events-grid .tribe-grid-header span,
	{$rule}.tribe-events-grid .tribe-week-event .vevent .entry-title a,
	{$rule}.tribe-events-grid .tribe-week-event .vevent .entry-title a:hover,
	{$rule}.tribe-events-grid .tribe-week-event:hover .vevent .entry-title a,
	{$rule}.tribe-mini-calendar thead,
	{$rule}.tribe-mini-calendar thead a,
	{$rule}.tribe-this-week-events-widget .this-week-today .tribe-this-week-widget-header-date,
	{$rule}.event_bg {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}#tribe-bar-views .button,
	{$rule}#tribe-bar-views .button:hover,
	{$rule}table.tribe-events-calendar,
	{$rule}table.tribe-events-calendar tbody td.tribe-events-othermonth div[id*=tribe-events-daynum-],
	{$rule}.tribe-this-week-events-widget .tribe-events-sub-nav li span:not([class]),
	{$rule}.tribe-this-week-events-widget .tribe-events-sub-nav li a:hover span:not([class]),
	{$rule}.tribe-events-grid .tribe-scroller, 
	{$rule}.tribe-events-grid .tribe-week-grid-hours {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	
	/* Start Alternate Background Color */
	{$rule}table.tribe-events-calendar thead th, 
	{$rule}table.tribe-events-calendar tbody td.tribe-events-present div[id*=tribe-events-daynum-], 
	{$rule}table.tribe-events-calendar tbody td.tribe-events-present div[id*=tribe-events-daynum-] a, 
	{$rule}.tribe-events-tooltip, 
	{$rule}.tribe-events-tooltip * {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_alternate']) . "
	}
	
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-],
	{$rule}.tribe-events-grid .tribe-grid-allday .column.first,
	{$rule}.tribe-events-grid .tribe-week-grid-hours div,
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue,
	{$rule}.tribe-events-notices {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_alternate']) . "
	}
	/* Finish Alternate Background Color */
	
	
	/* Start Borders Color */
	{$rule}.tribe-mini-calendar tbody .tribe-events-othermonth,
	{$rule}.tribe-mini-calendar tbody .tribe-events-othermonth a,
	{$rule}table.tribe-events-calendar tbody td.tribe-events-othermonth div[id*=tribe-events-daynum-] {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.tribe-mini-calendar thead th,
	{$rule}.tribe-events-single .post_nav:before, 
	{$rule}.tribe-events-single .post_nav:after {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}table.tribe-events-calendar,
	{$rule}table.tribe-events-calendar tbody td .tribe_events,
	{$rule}table.tribe-events-calendar tbody td .tribe-events-viewmore,
	{$rule}.tribe-events-tooltip,
	{$rule}.tribe-events-list .tribe-events-day-time-slot > h5,
	{$rule}.tribe-events-list .type-tribe_events,
	{$rule}.tribe-events-grid .tribe-grid-allday,
	{$rule}.cmsmasters_single_event_meta .tribe-events-meta-group,
	{$rule}.cmsmasters_single_event_meta .tribe-events-single-section-title,
	{$rule}.tribe-events-list .tribe-events-list-separator-month,
	{$rule}.tribe-events-map .tribe-events-page-title,
	{$rule}.tribe-events-grid .tribe-scroller,
	{$rule}.tribe-events-grid .tribe-week-grid-block div,
	{$rule}.tribe-events-grid .tribe-grid-content-wrap .column,
	{$rule}.tribe-events-grid .tribe-week-grid-hours div,
	{$rule}.cmsmasters_single_event,
	{$rule}.tribe-mini-calendar-list-wrapper .type-tribe_events,
	{$rule}.tribe-mobile-day .tribe-events-mobile,
	{$rule}table.tribe-events-calendar tbody td.tribe-events-othermonth div[id*=tribe-events-daynum-],
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	/* Finish Borders Color */

/***************** Finish {$title} Tribe Events Color Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('ecologie_theme_colors_secondary_filter', 'ecologie_tribe_events_colors');

