<?php
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.0
 * 
 * Tribe Events Fonts Rules
 * Created by CMSMasters
 * 
 */


function ecologie_tribe_events_fonts($custom_css) {
	$cmsmasters_option = ecologie_get_global_options();
	
	
	$custom_css .= "
/***************** Start Tribe Events Font Styles ******************/

	/* Start Content Font */
	.tribe-mini-calendar tbody,
	.tribe-mini-calendar tbody a,
	.tribe-this-week-events-widget .tribe-events-page-title,
	table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-],
	table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] a,
	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info, 
	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info a,
	.cmsmasters_event_meta_info_item_title, 
	.cmsmasters_event_meta_info_item_descr, 
	dt, 
	dd {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_content_font_google_font']) . $cmsmasters_option['ecologie' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_content_font_font_style'] . ";
	}
	
	table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-],
	table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] + 1) . "px;
	}
	
	.tribe-mini-calendar tbody,
	.tribe-mini-calendar tbody a,
	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info, 
	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] - 1) . "px;
	}
	
	.tribe-events-tooltip .duration {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_content_font_line_height'] - 2) . "px;
	}
	
	.tribe-bar-filters-inner > div input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]) {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_content_font_line_height'] - 2) . "px;
	}
	/* Finish Content Font */
	
	
	/* Start Link Font */
	table.tribe-events-calendar tbody td .tribe-events-month-event-title,
	table.tribe-events-calendar tbody td .tribe-events-month-event-title a,
	.tribe-events-grid .tribe-week-event .vevent .entry-title a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_link_font_google_font']) . $cmsmasters_option['ecologie' . '_link_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_link_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_link_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_link_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_link_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_link_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_link_font_text_decoration'] . ";
	}
	/* Finish Link Font */
	
	
	/* Start H1 Font */
	/* Finish H1 Font */
	
	
	/* Start H2 Font */
	.cmsmasters_event_date .cmsmasters_event_day,
	.tribe-events-countdown-widget .tribe-countdown-time,
	.tribe-events-page-title,
	.tribe-events-page-title a,
	.tribe-mobile-day .tribe-mobile-day-date {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h2_font_google_font']) . $cmsmasters_option['ecologie' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h2_font_text_decoration'] . ";
	}
	
	.tribe-events-page-title,
	.tribe-events-page-title a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_h2_font_font_size'] + 6) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_h2_font_line_height'] + 6) . "px;
	}
	/* Finish H2 Font */
	
	
	/* Start H3 Font */
	/* Finish H3 Font */
	
	
	/* Start H4 Font */
	.tribe-events-list .tribe-events-list-separator-month,
	.tribe-events-list .tribe-events-day-time-slot > h5,
	.cmsmasters_single_event .tribe-events-cost,
	.cmsmasters_single_event_meta .tribe-events-single-section-title,
	.tribe-events-related-events-title {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h4_font_google_font']) . $cmsmasters_option['ecologie' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h4_font_text_decoration'] . ";
	}
	
	.cmsmasters_single_event_meta .tribe-events-single-section-title {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_h4_font_font_size'] + 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_h4_font_line_height'] + 2) . "px;
	}
	/* Finish H4 Font */
	
	
	/* Start H5 Font */
	#tribe-bar-views .button,
	#tribe-bar-views .tribe-bar-views-list li,
	#tribe-bar-views .tribe-bar-views-list li a,
	.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item_title,
	ul.tribe-related-events .tribe-related-events-title,
	ul.tribe-related-events .tribe-related-events-title a,
	.tribe-events-countdown-widget .tribe-countdown-complete,
	.tribe-events-countdown-widget .tribe-countdown-text,
	.tribe-events-countdown-widget .tribe-countdown-text a,
	.tribe-events-venue-widget .tribe-venue-widget-venue-name a,
	#tribe-events-content > .tribe-events-button,
	.tribe-mobile-day .tribe-events-read-more {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h5_font_google_font']) . $cmsmasters_option['ecologie' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h5_font_text_decoration'] . ";
	}
	
	.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item_descr,
	.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item_descr a,
	.cmsmasters_single_event_meta dt,
	.cmsmasters_single_event_meta dt a,
	.cmsmasters_single_event_meta dd,
	.cmsmasters_single_event_meta dd a {
		line-height:" . $cmsmasters_option['ecologie' . '_h5_font_line_height'] . "px;
	}
	/* Finish H5 Font */
	
	
	/* Start H6 Font */
	.tribe-bar-filters-inner > div label,
	table.tribe-events-calendar thead th,
	table.tribe-events-calendar tbody td .tribe-events-viewmore a,
	.tribe-events-sub-nav li a,
	.tribe-events-tooltip .entry-title,
	.tribe-events-list .tribe-events-read-more,
	.tribe-events-grid .tribe-grid-header span,
	.tribe-events-grid .column.first,
	.tribe-events-grid .tribe-week-grid-hours,
	.cmsmasters_event_date .cmsmasters_event_mon,
	.tribe-events-widget-link a,
	.tribe-mini-calendar thead th,
	.tribe-mini-calendar thead td,
	.tribe-events-countdown-widget .tribe-countdown-time span,
	.tribe-this-week-events-widget .tribe-this-week-widget-header-date, 
	.tribe-this-week-events-widget .tribe-events-viewmore a,
	.tribe-mobile-day .tribe-events-event-schedule-details, 
	.tribe-mobile-day .tribe-event-schedule-details {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h6_font_google_font']) . $cmsmasters_option['ecologie' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h6_font_text_decoration'] . ";
	}
	
	.tribe-events-grid .column.first,
	.tribe-events-grid .tribe-week-grid-hours {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_h6_font_font_size'] - 1) . "px;
	}
	/* Finish H6 Font */
	
	
	/* Start Button Font */
	/* Finish Button Font */
	
	
	/* Start Small Text Font */
	/* Finish Small Text Font */

/***************** Finish Tribe Events Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('ecologie_theme_fonts_filter', 'ecologie_tribe_events_fonts');

