<?php
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.0
 * 
 * WooCommerce Colors Rules
 * Created by CMSMasters
 * 
 */


function ecologie_woocommerce_colors($custom_css) {
	$cmsmasters_option = ecologie_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} WooCommerce Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	{$rule}.cmsmasters_product .cmsmasters_product_cat a,
	{$rule}.cmsmasters_product .cmsmasters_product_button,
	{$rule}.cmsmasters_product .cmsmasters_details_button,
	{$rule}.product-category .woocommerce-loop-category__title .count,
	{$rule}.product-category a > .woocommerce-loop-category__title:hover .count,
	{$rule}.shop_table.woocommerce-checkout-review-order-table td.product-name .product-quantity,
	{$rule}.shop_table.woocommerce-checkout-review-order-table tbody td .amount,
	{$rule}.woocommerce-checkout-payment .place-order .terms,
	{$rule}.woocommerce-checkout-payment .place-order .terms label,
	{$rule}.cmsmasters_single_product .product_meta > span,
	{$rule}.cmsmasters_single_product .product_meta > span a,
	{$rule}.cmsmasters_single_product .cmsmasters_product_right_column .variations_form .out-of-stock,
	{$rule}.cmsmasters_single_product .cmsmasters_product_right_column .stock,
	{$rule}.cmsmasters_single_product .cmsmasters_product_right_column in-stock,
	{$rule}.shop_table.woocommerce-orders-table tbody td .amount,
	{$rule}.select2-container .select2-choice,
	{$rule}.select2-container.select2-drop-above .select2-choice,
	{$rule}.select2-container.select2-container-active .select2-choice,
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice,
	{$rule}.select2-drop.select2-drop-active,
	{$rule}.select2-drop.select2-drop-above.select2-drop-active,
	{$rule}.select2-drop.select2-drop-above.select2-drop-active,
	{$rule}.select2-container .select2-selection--single .select2-selection__rendered,
	{$rule}.woocommerce-MyAccount-content fieldset,
	{$rule}.woocommerce-MyAccount-content legend,
	{$rule}.shop_table.woocommerce-table--order-details td.product-name .product-quantity,
	{$rule}.shop_table.woocommerce-table--order-details tbody td .amount,
	{$rule}.widget_shopping_cart .total .amount,
	{$rule}.widget_shopping_cart .cart_list .quantity .amount,
	{$rule}.widget > .product_list_widget del .amount {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}.shop_table.woocommerce-cart-form__contents .product-name a:hover,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions button,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions .button,
	{$rule}.cart-collaterals .shop_table_responsive .button,
	{$rule}.cmsmasters_single_product .product_meta .product_meta_title,
	{$rule}.woocommerce-store-notice .woocommerce-store-notice__dismiss-link,
	{$rule}.woocommerce-checkout-payment .woocommerce-terms-and-conditions-wrapper .form-row label a:hover,
	{$rule}.grouped_form .group_table tr td .button:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}#page .remove:before,
	{$rule}#page .remove:after,
	{$rule}.woocommerce-store-notice {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.select2-container.select2-container-active .select2-choice,
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice,
	{$rule}.select2-drop.select2-drop-active,
	{$rule}.select2-drop.select2-drop-above.select2-drop-active,
	{$rule}.select2-container.select2-container--open .select2-selection--single,
	{$rule}.select2-container.select2-container--focus .select2-selection--single {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */
	
	
	/* Start Highlight Color */
	{$rule}.required,
	{$rule}.cmsmasters_product .cmsmasters_product_cat a:hover,
	{$rule}.cmsmasters_product .cmsmasters_product_button:hover,
	{$rule}.cmsmasters_product .cmsmasters_details_button:hover,
	{$rule}.product-category a > .woocommerce-loop-category__title:hover,
	{$rule}.shop_table.woocommerce-cart-form__contents .product-name a,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions button:hover,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions .button:hover,
	{$rule}.cart-collaterals .shop_table_responsive .button:hover,
	{$rule}.shop_table.woocommerce-checkout-review-order-table td.product-name,
	{$rule}.cmsmasters_single_product .product_meta > span a:hover,
	{$rule}table.variations .reset_variations,
	{$rule}.woocommerce-MyAccount-navigation > ul > li.is-active > a,
	{$rule}.shop_table.woocommerce-table--order-details td.product-name,
	{$rule}.widget_layered_nav ul li.chosen a,
	{$rule}.widget_layered_nav_filters ul li.chosen a,
	{$rule}.widget_product_categories ul li.current-cat a,
	{$rule}.woocommerce-checkout-payment .woocommerce-terms-and-conditions-wrapper .form-row label a,
	{$rule}.grouped_form .group_table tr td .button {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_hover']) . "
	}
	
	{$rule}.input-checkbox + label:after,
	{$rule}.input-radio + label:after,
	{$rule}input.shipping_method + label:after,
	{$rule}#page .remove:hover:before,
	{$rule}#page .remove:hover:after,
	{$rule}.widget_price_filter .ui-slider-handle,
	{$rule}.widget_price_filter .ui-slider-range {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_hover']) . "
	}
	
	{$rule}.link_hover_color {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Highlight Color */
	
	
	/* Start Headings Color */
	{$rule}.onsale,
	{$rule}.out-of-stock,
	{$rule}.stock,
	{$rule}.amount,
	{$rule}.price,
	{$rule}.cmsmasters_woo_wrap_result .woocommerce-result-count,
	{$rule}.cmsmasters_product .price,
	{$rule}.shop_table.woocommerce-cart-form__contents thead th,
	{$rule}.shop_table.woocommerce-cart-form__contents thead td,
	{$rule}.form-row label,
	{$rule}.shop_table.woocommerce-checkout-review-order-table thead td,
	{$rule}.shop_table.woocommerce-checkout-review-order-table thead th,
	{$rule}.shop_table.woocommerce-checkout-review-order-table tfoot th,
	{$rule}.shop_table.woocommerce-checkout-review-order-table tfoot td,
	{$rule}table.variations tr td.label,
	{$rule}.shop_table.woocommerce-orders-table thead td,
	{$rule}.shop_table.woocommerce-orders-table thead th,
	{$rule}ul.order_details,
	{$rule}.shop_table.woocommerce-table--order-details thead td,
	{$rule}.shop_table.woocommerce-table--order-details thead th,
	{$rule}.shop_table.woocommerce-table--order-details tfoot th,
	{$rule}.shop_table.woocommerce-table--order-details tfoot td,
	{$rule}.quantity input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	{$rule}.shop_attributes th,
	{$rule}.shop_attributes table,
	{$rule}.woocommerce-MyAccount-content fieldset legend {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */
	
	
	/* Start Main Background Color */
	{$rule}.woocommerce-store-notice,
	{$rule}.woocommerce-store-notice p a,
	{$rule}.woocommerce-store-notice p a:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.onsale,
	{$rule}.out-of-stock,
	{$rule}.stock,
	{$rule}.input-checkbox + label:before,
	{$rule}.input-radio + label:before,
	{$rule}input.shipping_method + label:before,
	{$rule}.cmsmasters_product .cmsmasters_product_add_wrap,
	{$rule}.product-category .woocommerce-loop-category__title .count,
	{$rule}.shop_table.woocommerce-cart-form__contents thead th,
	{$rule}.shop_table.woocommerce-cart-form__contents thead td,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions button,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions button,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions .button:hover,
	{$rule}.shop_table.woocommerce-cart-form__contents .actions .button,
	{$rule}.cart-collaterals .shop_table_responsive .button,
	{$rule}.cart-collaterals .shop_table_responsive .button:hover,
	{$rule}.woocommerce-info,
	{$rule}.woocommerce-message,
	{$rule}.woocommerce-error,
	{$rule}.shop_table.woocommerce-checkout-review-order-table thead td,
	{$rule}.shop_table.woocommerce-checkout-review-order-table thead th,
	{$rule}.shop_table.woocommerce-orders-table thead td,
	{$rule}.shop_table.woocommerce-orders-table thead th,
	{$rule}.select2-container .select2-choice,
	{$rule}.select2-container.select2-drop-above .select2-choice,
	{$rule}.select2-container.select2-container-active .select2-choice,
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice,
	{$rule}.select2-container .select2-selection--single,
	{$rule}.select2-results,
	{$rule}.woocommerce-MyAccount-content fieldset,
	{$rule}.woocommerce-MyAccount-content legend,
	{$rule}.woocommerce-store-notice .woocommerce-store-notice__dismiss-link,
	{$rule}.shop_table.woocommerce-table--order-details thead td,
	{$rule}.shop_table.woocommerce-table--order-details thead th,
	{$rule}.grouped_form .group_table tr td .button,
	{$rule}.grouped_form .group_table tr td .button:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	
	/* Start Alternate Background Color */
	/* Finish Alternate Background Color */
	
	
	/* Start Borders Color */
	{$rule}.cmsmasters_star_rating .cmsmasters_star_trans_wrap, 
	{$rule}.comment-form-rating .stars > span {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.widget_price_filter .price_slider {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.woocommerce-info,
	{$rule}.woocommerce-message,
	{$rule}.woocommerce-error,
	{$rule}.woocommerce-checkout-payment,
	{$rule}.woocommerce-checkout-payment .payment_methods .payment_box,
	{$rule}.input-checkbox + label:before,
	{$rule}.input-radio + label:before,
	{$rule}input.shipping_method + label:before,
	{$rule}.select2-container .select2-choice,
	{$rule}.select2-container.select2-drop-above .select2-choice,
	{$rule}.select2-dropdown,
	{$rule}.select2-container .select2-selection--single,
	{$rule}ul.order_details li,
	{$rule}ul.order_details li strong,
	{$rule}div.products,
	{$rule}.cart_totals table th,
	{$rule}.cart_totals table td,
	{$rule}.shop_table .cart_item,
	{$rule}section.products {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.select2-container.select2-container--open .select2-dropdown--below,
	{$rule}.select2-container.select2-container--focus .select2-dropdown--below {
		" . cmsmasters_color_css('border-top-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.select2-container.select2-container--open .select2-dropdown--above,
	{$rule}.select2-container.select2-container--focus .select2-dropdown--above {
		" . cmsmasters_color_css('border-bottom-color', $cmsmasters_option['ecologie' . '_' . $scheme . '_border']) . "
	}
	/* Finish Borders Color */
	
	
	/* Start Secondary Color */
	{$rule}.cmsmasters_star_rating .cmsmasters_star_color_wrap,
	{$rule}.comment-form-rating .stars > span a:hover,
	{$rule}.comment-form-rating .stars > span a.active,
	{$rule}table.variations .reset_variations:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Secondary Color */
	
	
	/* Start Header Middle Rollover Color */
	.header_mid .header_mid_inner .cmsmasters_dynamic_cart:hover .cmsmasters_dynamic_cart_button,
	.header_mid .header_mid_inner .cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity .amount,
	.header_mid .header_mid_inner .cmsmasters_header_cart_link.active {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_header_mid_hover']) . "
	}
	/* Finish Header Middle Rollover Color */
	
	
	/* Start Header Middle Background Color on Scroll */
	.header_mid .header_mid_inner .cmsmasters_dynamic_cart .widget_shopping_cart_content,
	.header_mid .header_mid_inner .cmsmasters_dynamic_cart .cmsmasters_added_product_info {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_header_mid_bg_scroll']) . "
	}
	/* Finish Header Middle Background Color on Scroll */
	
	
	/* Start Header Bottom Rollover Color */
	.header_bot .header_bot_inner .cmsmasters_dynamic_cart:hover .cmsmasters_dynamic_cart_button,
	.header_bot .header_bot_inner .cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity .amount,
	.header_bot .header_bot_inner .cmsmasters_header_cart_link.active {
		" . cmsmasters_color_css('color', $cmsmasters_option['ecologie' . '_header_bot_hover']) . "
	}
	/* Finish Header Bottom Rollover Color */
	
	
	/* Start Header Bottom Background Color on Scroll */
	.header_bot .header_bot_inner .cmsmasters_dynamic_cart .widget_shopping_cart_content,
	.header_bot .header_bot_inner .cmsmasters_dynamic_cart .cmsmasters_added_product_info {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['ecologie' . '_header_bot_bg_scroll']) . "
	}
	/* Finish Header Bottom Background Color on Scroll */

/***************** Finish {$title} WooCommerce Color Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('ecologie_theme_colors_secondary_filter', 'ecologie_woocommerce_colors');

