<?php
/**
 * @package 	WordPress
 * @subpackage 	Ecologie
 * @version 	1.0.0
 * 
 * WooCommerce Fonts Rules
 * Created by CMSMasters
 * 
 */


function ecologie_woocommerce_fonts($custom_css) {
	$cmsmasters_option = ecologie_get_global_options();
	
	
	$custom_css .= "
/***************** Start WooCommerce Font Styles ******************/

	/* Start Content Font */
	.amount,
	.woocommerce-price-suffix,
	.shop_table.woocommerce-checkout-review-order-table tfoot td,
	.shop_table.woocommerce-checkout-review-order-table tfoot td strong,
	.shop_table.woocommerce-checkout-review-order-table tbody td .product-quantity,
	.woocommerce-checkout-payment .payment_methods label a,
	.woocommerce-checkout-payment .place-order .terms,
	.woocommerce-checkout-payment .place-order .terms label,
	.woocommerce-checkout-payment .place-order .terms a,
	.cmsmasters_single_product .cmsmasters_product_right_column .stock,
	.cmsmasters_single_product .cmsmasters_product_right_column .out-of-stock,
	.cmsmasters_single_product .cmsmasters_product_right_column .in-stock,
	ul.order_details strong,
	.shop_table.woocommerce-table--order-details tfoot td,
	.shop_table.woocommerce-table--order-details tfoot td strong,
	.shop_table.woocommerce-table--order-details tbody td .product-quantity,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity .amount,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list a,
	.widget_shopping_cart .cart_list a,
	.widget_shopping_cart .total strong,
	.widget_shopping_cart .cart_list .quantity,
	.widget_shopping_cart .cart_list .quantity .amount,
	.cart_totals table td strong,
	.single_variation_wrap {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_content_font_google_font']) . $cmsmasters_option['ecologie' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_content_font_font_style'] . ";
	}
	
	.price ins,
	.price ins .amount,
	.price ins + .woocommerce-price-suffix {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] + 8) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_content_font_line_height'] + 8) . "px;
	}
	
	.price del,
	.price del .amount {
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_content_font_line_height'] + 4) . "px;
	}
	
	.amount,
	.woocommerce-price-suffix,
	.cmsmasters_product .cmsmasters_product_button,
	.cmsmasters_product .cmsmasters_details_button,
	.shop_table.woocommerce-checkout-review-order-table tbody th,
	.shop_table.woocommerce-checkout-review-order-table tbody td,
	.shop_table.woocommerce-checkout-review-order-table tfoot td,
	.shop_table.woocommerce-checkout-review-order-table tfoot td strong,
	.shop_table.woocommerce-orders-table tbody th,
	.shop_table.woocommerce-orders-table tbody td,
	.shop_table.woocommerce-orders-table tbody td a,
	ul.order_details strong,
	.shop_table.woocommerce-table--order-details tbody th,
	.shop_table.woocommerce-table--order-details tbody td,
	.shop_table.woocommerce-table--order-details tfoot td,
	.shop_table.woocommerce-table--order-details tfoot td strong {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] + 1) . "px;
	}
	
	.cart-collaterals .shipping,
	.woocommerce-checkout-payment .payment_methods label,
	.woocommerce-checkout-payment .payment_methods label a,
	.woocommerce-checkout-payment .place-order .terms,
	.woocommerce-checkout-payment .place-order .terms label,
	.woocommerce-checkout-payment .place-order .terms a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_content_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_content_font_line_height'] - 2) . "px;
	}
	
	.woocommerce-checkout-payment .place-order .terms label,
	.cmsmasters_single_product .cmsmasters_product_right_column .stock,
	.cmsmasters_single_product .cmsmasters_product_right_column .out-of-stock,
	.cmsmasters_single_product .cmsmasters_product_right_column .in-stock {
		text-transform:none;
	}
	/* Finish Content Font */
	
	
	/* Start Link Font */
	.shop_table.woocommerce-cart-form__contents .actions button,
	.shop_table.woocommerce-cart-form__contents .actions .button,
	.cart-collaterals .shop_table_responsive .button,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total strong,
	.grouped_form .group_table tr td .button {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_link_font_google_font']) . $cmsmasters_option['ecologie' . '_link_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_link_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_link_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_link_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_link_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_link_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_link_font_text_decoration'] . ";
	}
	
	.shop_table.woocommerce-cart-form__contents .product-name,
	.shop_table.woocommerce-cart-form__contents .product-name a {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_link_font_font_size'] + 1) . "px;
	}
	
	#page table.variations .reset_variations {
		font-size:" . ((int) $cmsmasters_option['ecologie' . '_link_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['ecologie' . '_link_font_line_height'] - 2) . "px;
	}
	/* Finish Link Font */
	
	
	/* Start H1 Font */
	/* Finish H1 Font */
	
	
	/* Start H2 Font */
	/* Finish H2 Font */
	
	
	/* Start H3 Font */
	.woocommerce-bacs-bank-details .wc-bacs-bank-details-heading {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h3_font_google_font']) . $cmsmasters_option['ecologie' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h3_font_text_decoration'] . ";
	}
	/* Finish H3 Font */
	
	
	/* Start H4 Font */
	.product-category .woocommerce-loop-category__title,
	.cart_totals > h2,
	.woocommerce-billing-fields > h3,
	.woocommerce-shipping-fields > h3,
	.checkout > h3,
	.cmsmasters_single_product .product_title,
	.woocommerce-bacs-bank-details .wc-bacs-bank-details-account-name,
	.woocommerce-order-details .woocommerce-order-details__title,
	.woocommerce-customer-details > h2,
	.cross-sells h2 {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h4_font_google_font']) . $cmsmasters_option['ecologie' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h4_font_text_decoration'] . ";
	}
	
	.cmsmasters_woo_comments .commentlist .comment .cmsmasters_comment_item_cont_info .cmsmasters_comment_item_date {
		line-height:" . $cmsmasters_option['ecologie' . '_h4_font_line_height'] . "px;
	}
	/* Finish H4 Font */
	
	
	/* Start H5 Font */
	.shop_table.woocommerce-cart-form__contents thead th,
	.cart_totals table .cart-subtotal th,
	.cart_totals table .order-total th,
	.shipping-calculator-button,
	.shop_table.woocommerce-checkout-review-order-table thead th,
	.shop_table.woocommerce-checkout-review-order-table thead td,
	.shop_table.woocommerce-checkout-review-order-table tfoot th,
	.cmsmasters_tabs.tabs_mode_tab .shop_attributes th,
	.shop_table.woocommerce-orders-table thead th,
	.shop_table.woocommerce-orders-table thead td,
	ul.order_details,
	.shop_table.woocommerce-table--order-details thead th,
	.shop_table.woocommerce-table--order-details thead td,
	.shop_table.woocommerce-table--order-details tfoot th,
	.widget > .product_list_widget a,
	.woocommerce-MyAccount-content fieldset legend {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h5_font_google_font']) . $cmsmasters_option['ecologie' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h5_font_text_decoration'] . ";
	}
	
	.shop_table.woocommerce-checkout-review-order-table tfoot td,
	.shop_table.woocommerce-checkout-review-order-table tfoot td strong,
	.shop_table.woocommerce-table--order-details tfoot td,
	.shop_table.woocommerce-table--order-details tfoot td strong {
		line-height:" . $cmsmasters_option['ecologie' . '_h5_font_line_height'] . "px;
	}
	/* Finish H5 Font */
	
	
	/* Start H6 Font */
	.onsale,
	.out-of-stock,
	.stock,
	.form-row label,
	.cmsmasters_single_product .product_meta .product_meta_title,
	#page table.variations tr td.label,
	.cmsmasters_woo_comments .cmsmasters_comment_item_cont_info .cmsmasters_comment_item_date,
	.cmsmasters_woo_wrap_result .woocommerce-result-count,
	.woocommerce-checkout-payment .woocommerce-terms-and-conditions-wrapper .form-row,
	.woocommerce-checkout-payment .woocommerce-terms-and-conditions-wrapper .form-row a {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_h6_font_google_font']) . $cmsmasters_option['ecologie' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['ecologie' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['ecologie' . '_h6_font_text_decoration'] . ";
	}
	
	.cmsmasters_single_product .product_meta .product_meta_title {
		line-height:" . $cmsmasters_option['ecologie' . '_content_font_line_height'] . "px;
	}
	/* Finish H6 Font */
	
	
	/* Start Button Font */
	/* Finish Button Font */
	
	
	/* Start Text Fields Font */
	.select2-dropdown {
		font-family:" . ecologie_get_google_font($cmsmasters_option['ecologie' . '_input_font_google_font']) . $cmsmasters_option['ecologie' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['ecologie' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['ecologie' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['ecologie' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['ecologie' . '_input_font_font_style'] . ";
	}
	/* Finish Text Fields Font */
	
	
	/* Start Small Text Font */
	/* Finish Small Text Font */

/***************** Finish WooCommerce Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('ecologie_theme_fonts_filter', 'ecologie_woocommerce_fonts');

